gtksourceview.SourceLanguagesManager
Prev | The GtkSourceView Class Reference | Next

## gtksourceview.SourceLanguagesManager

gtksourceview.SourceLanguagesManager — Languages Manager object for gtksourceview.SourceView

## Synopsis

    class gtksourceview.SourceLanguagesManager(gobject.GObject):
        gtksourceview.SourceLanguagesManager()
        def get_available_languages()
        def get_language_from_mime_type()
        def get_lang_files_dirs()

## Ancestry

    +-- gobject.GObject
      +-- gtksourceview.SourceLanguagesManager

## Properties

"lang-files-dirs" | Read-Write | fixme

## Description

## Constructor

        gtksourceview.SourceLanguagesManager()

Returns : | a new `gtksourceview.SourceLanguagesManager`.

Creates a new `gtksourceview.SourceLanguagesManager` object.

## Methods

### gtksourceview.SourceLanguagesManager.get_available_languages

        def get_available_languages()

Returns : | a list of `gtksourceview.SourceLanguage`.

The `get_available_languages`() method gets a list of available languages for the given language manager.

### gtksourceview.SourceLanguagesManager.get_language_from_mime_type

        def get_language_from_mime_type(mime_type)

mime_type : | a mime type.
Returns : | a `gtksourceview.SourceLanguage` or `None` if there is no language associated with the given `mime_type`.

The `get_language_from_mime_type`() method gets the `gtksourceview.SourceLanguage` which is associated with the given `mime_type` in the language manager.

### gtksourceview.SourceLanguagesManager.get_lang_files_dirs

        def get_lang_files_dirs()

Returns : | a list of language files directories (as strings).

The `get_lang_files_dirs`() method gets a list of language files directories for the given language manager.

Prev | Up | Next
gtksourceview.SourceLanguage | Home | gtksourceview.SourceMarker